commit: 94dc78f71f4d1fa2781cce1ff657684649e7d8ef
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu May 29 05:14:31 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu May 29 05:14:31 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94dc78f7
dev-python/python-jose: Bump to 3.5.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/python-jose/Manifest | 1 +
dev-python/python-jose/python-jose-3.5.0.ebuild | 49 +++++++++++++++++++++++++
2 files changed, 50 insertions(+)
diff --git a/dev-python/python-jose/Manifest b/dev-python/python-jose/Manifest
index 136c04aac0b3..b3c89befc76a 100644
--- a/dev-python/python-jose/Manifest
+++ b/dev-python/python-jose/Manifest
@@ -1 +1,2 @@
DIST python-jose-3.4.0.gh.tar.gz 88084 BLAKE2B
9cec36d634019248508164a246c6debc3778321f75aec1d9870611df4b162ee87722137983124b5a5afb7525bb8dfb845e3a302068d7c1d295a326f635016ca5
SHA512
61988e07a2251b475346ac56d7845e1c573e1c4b7bdccec13937c31c325c0731c6679047451a08be79044e5a57a5470e90b43bb94b0a249c84c11675779f3dcf
+DIST python-jose-3.5.0.gh.tar.gz 88599 BLAKE2B
1d92b80c14e6ceeda3371c7b9bc86df01deb98e30eecf922edc7215322ba5aa3ff46102330b40e2aec51673ad9d0d448cb81741655ded9cb47f6764944b8dd6d
SHA512
8ecebb3133b1ec237aeaab6967e172e70de0e965ae39089e6a336bc00ac0a693dbfcfb90002284f89e1cd88d1570ea482c5d56fd9a04848a384e9a34a460648c
diff --git a/dev-python/python-jose/python-jose-3.5.0.ebuild
b/dev-python/python-jose/python-jose-3.5.0.ebuild
new file mode 100644
index 000000000000..b88d893a91c7
--- /dev/null
+++ b/dev-python/python-jose/python-jose-3.5.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1
+
+DESCRIPTION="A JavaScript Object Signing and Encryption (JOSE) implementation
in Python"
+HOMEPAGE="
+ https://github.com/mpdavis/python-jose/
+ https://pypi.org/project/python-jose/
+"
+# pypi tarball lacks unit tests
+SRC_URI="
+ https://github.com/mpdavis/python-jose/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+# TODO: require only one crypto backend?
+RDEPEND="
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/ecdsa[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/pycryptodome-3.3.1[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ # unpin dependencies
+ sed -i -e 's:, <[0-9.]*::' setup.cfg || die
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -o addopts=
+}